/*
 * Copyright 2022 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// global header of the "paramsCVT" module

#ifndef paramsCVT_H
#define paramsCVT_H

#if defined(WIN32)
#ifdef paramsCVT_EXPORTS
#define paramsCVT_API __declspec(dllexport)
#else
#define paramsCVT_API __declspec(dllimport)
#endif
#else
#define paramsCVT_API
#endif

/**
 * @brief this namespace avoids conflicts with similar names in 'waves'
 */

namespace paramsCVT
{
class Interface;
};

#endif //paramsCVT_H
