#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Copyright 2022 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


import numpy as np
from matplotlib import rc
import matplotlib.pyplot as plt

def main():
    import numpy as np
    from matplotlib import pyplot as plt

    tmpData = np.random.random( 300 )

    ##Create a plot with a tex title
    ax = plt.subplot(211)
    plt.plot(np.arange(300), tmpData)
    plt.title(r'$W_y(\tau, j=3)$')
    plt.setp(ax.get_xticklabels(), visible = False)

    ##Create another plot without a tex title
    plt.subplot(212)
    plt.plot(np.arange(300), tmpData )
    plt.title(r'Some random numbers')
    plt.show()

if __name__ == "__main__":
    main()
