# Copyright 2022 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# MSYS Makefiles (pour MinGW)
#
# PATH=c:\MinGW\bin;C:\MinGW\msys\1.0\bin

STRING(REGEX REPLACE "\\\\" "/" MYLOCAL $ENV{MYLOCAL})
SET(CMAKE_GENERATOR "MSYS Makefiles" CACHE INTERNAL "" FORCE)

SET(MUMPS_LIB_PATH       "${MYLOCAL}/WinMumps-4.10/MUMPS_4.10.0/lib/Release/x64/"  CACHE PATH "" FORCE)
SET(MUMPS_INCLUDE_PATH   "${MYLOCAL}/WinMumps-4.10/MUMPS_4.10.0/include"           CACHE PATH "" FORCE)

SET(WAVES_USE_MKL    OFF CACHE BOOL "" FORCE)
SET(BLA_VENDOR    "OpenBlas" CACHE STRING "" FORCE)
