function show_graph(A,type)

    figure;
    xmax = size(A,2);
    ymax = size(A,1);
    if type == 'C'
        imagesc([0.5 xmax-0.5],[0.5 ymax-0.5],A);
    else
        imagesc([1.5 xmax+0.5],[1.5 ymax+0.5],A);
    end
    axis equal
    grid on
    box on
    %colorbar


    if type == 'C'
        xlim([0,xmax]);
        ylim([0,ymax]);
        
        tmp = [];
        for i=1:xmax
            tmp = [tmp, i-1];
        end
        set(gca,'XTick',tmp)
        tmp = [];
        for i=1:ymax
            tmp = [tmp, i-1];
        end
        set(gca,'YTick',tmp)
    else
        xlim([1,xmax+1]);
        ylim([1,ymax+1]);
        
        tmp = [];
        for i=1:xmax
            tmp = [tmp, i];
        end
        set(gca,'XTick',tmp)
        tmp = [];
        for i=1:ymax
            tmp = [tmp, i];
        end
        set(gca,'YTick',tmp)
    end    
    caxis([0,1]);
    
    set(gca,'fontsize',18)
    
    colormap(gray);
    colormap(flipud(colormap));
end