#ifndef WEXAMPLE1_H
#define WEXAMPLE1_H

#include "tlnos.h"
#include "wObject.h"
#include <iostream>
#include <vector>
#include <string>
#ifndef SWIG
#include "Teuchos_Comm.hpp"
#include "Teuchos_XMLParameterListHelpers.hpp"
#endif

namespace tlnos
{

/**
 * @brief a class containing the "build-against-trilinos" example of trilinos
 */

class TLNOS_API Example1 : public fwk::wObject
{
public:
    Example1();
    int execute(std::string const &infile);

#ifndef SWIG
    virtual void write(std::ostream &out) const;
#endif

private:
    int src_file(std::string const &infile, Teuchos::Comm<int> &comm);
};

} // namespace tlnos

#endif //WEXAMPLE1_H
